From 8a44bd6faf5eb9716586a591eab686f86fc0dca8 Mon Sep 17 00:00:00 2001
From: Dominic Hargreaves <dom@earth.li>
Date: Thu, 7 May 2015 21:37:37 +0000
Subject: Allow overriding DatabaseType from the environment in RT::Test

Patch-Name: rt_test_db_type.diff
---
 lib/RT/Test.pm | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/lib/RT/Test.pm b/lib/RT/Test.pm
index 381c24b..b1d56fa 100644
--- a/lib/RT/Test.pm
+++ b/lib/RT/Test.pm
@@ -310,6 +310,9 @@ Set( \@LexiconLanguages, qw(en zh_TW zh_CN fr ja));
 Set( \$RTAddressRegexp , qr/^bad_re_that_doesnt_match\$/i);
 Set( \$ShowHistory, "always");
 };
+    if ( $ENV{'RT_TEST_DB_TYPE'} ) {
+        print $config "Set( \$DatabaseType , '$ENV{'RT_TEST_DB_TYPE'}' );\n";
+    }
     if ( $ENV{'RT_TEST_DB_SID'} ) { # oracle case
         print $config "Set( \$DatabaseName , '$ENV{'RT_TEST_DB_SID'}' );\n";
         print $config "Set( \$DatabaseUser , '$dbname');\n";
